import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';

@Entity('competition')
export class Competition extends BaseModel {
  @Column({ type: 'integer', comment: '平台用户id' })
  user: number;
  @Column({ type: 'character varying', comment: '名称' })
  name: string;
  @Column({ type: 'character varying', comment: '负责人名称' })
  person: string;
  @Column({ type: 'character varying', comment: '负责人电话' })
  person_phone: string;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '地址' })
  address: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否公开' })
  is_show: string;
  @Column({ type: 'character varying', default: '0', comment: '状态' })
  status: string;
}
