import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';

@Entity('role')
export class Role extends BaseModel {
  @Column({ type: 'character varying', comment: '角色名称' })
  name: string;
  @Column({ type: 'character varying', comment: '角色编码' })
  code: string;
  @Column({ type: 'jsonb', default: [], comment: '菜单' })
  menu: Array<string>;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', default: '0', comment: '是否使用  0使用;1禁用' })
  is_use: string;
}
