import { Provide } from '@midwayjs/core';
import * as fs from 'fs';
import { get, isObject } from 'lodash';
import path = require('path');
import { Repository } from 'typeorm';
// import { Achievement } from '../entity/platform/achievement.entity';
import { InjectEntityModel } from '@midwayjs/typeorm';
import { News } from '../entity/platform/news.entity';
import { Demand } from '../entity/platform/demand.entity';
import { Expert } from '../entity/users/expert.entity';
import { Company } from '../entity/users/company.entity';
// import { upperFirst } from 'lodash';

// import { User } from '../entity/system/user.entity';
@Provide()
export class UtilService {
  // @InjectEntityModel(User)
  // uModel: ReturnModelType<typeof User>;

  randomStr(len = 6) {
    return Math.random().toString(36).slice(-len);
  }

  // 修改后信息后用户重新审核
  async updateUserAfter(id, body, role_type) {
    // const { status } = body;
    // if (status === '0') {
    //   const model = GetModel(upperFirst(role_type));
    //   const data = await model.findById(id).lean();
    //   await this.uModel.updateOne({ _id: data.user }, { status: '0' });
    // }
  }

  @InjectEntityModel(Company)
  model: Repository<Company>;
  async initData() {
    // company
    const d: any = {
      user: 5,
      name: '长春市福瑞科技有限公司',
      logo: [
        {
          id: 'company',
          name: '2.jpg',
          uri: '/files/web/template/company.jpg',
          url: 'http://192.168.1.197/files/web/template/company.jpg',
          uid: 1712632020400,
          status: 'success',
        },
      ],
      code: '1234567890',
      pattern: '0',
      scale: '0',
      phone: '18843520013',
      type: '3',
      area: ['山西省', '阳泉市'],
      representative: '张三',
      email: 'email1233@.com',
      person: 100,
      register: '100',
      create_time: '2024-04-09',
      address: '吉林省长春市力旺广场',
      brief: '简介',
      is_show: '0',
      companyStatus: '0',
      status: '1',
    };
    await this.model.insert(d);

    //expert
    // const data = {
    //   user: '4',
    //   name: '专家名称',
    //   birth: '1981-04-01',
    //   cardType: '0',
    //   card: '220581200003302462',
    //   field: '9',
    //   direction: '大豆分子育种',
    //   education: '2',
    //   brief: '简介',
    //   area: ['吉林省', '长春市'],
    //   is_show: '0',
    //   status: '1',
    //   icon: [
    //     {
    //       id: '20240412143738',
    //       name: '2.jpg',
    //       uri: '/files/web/template/expert/20240412143738.jpg',
    //       url: 'http://192.168.1.197/files/web/template/expert/20240412143738.jpg',
    //       uid: 1712903858560,
    //       status: 'success',
    //     },
    //   ],
    //   work: '吉林大学',
    // };
    // await this.model.insert(data);
    //user
    // const place = path.resolve(__dirname, 'C:\\workspace\\cxyy\\user.json');
    // let list: any = fs.readFileSync(place, 'utf8');
    // if (!list) return;
    // list = JSON.parse(list);
    // list = get(list, 'RECORDS');
    // let id = 1;
    // for (const i of list) {
    //   i.id = id;
    //   if (i.role && i.role !== '') i.role = JSON.parse(get(i, 'role'));
    //   if (i.icon && i.icon !== '') i.icon = JSON.parse(get(i, 'icon'));
    //   if (i.password && i.password !== '') {
    //     let password = JSON.parse(get(i, 'password'));
    //     if (isObject(password)) {
    //       password = get(password, 'secret');
    //       i.password = password;
    //     }
    //   }
    //   id++;
    //   delete i._id;
    // }
    // for (const i of list) {
    //   for (const key in i) {
    //     const val = i[key];
    //     if (val === '') {
    //       delete i[key];
    //     }
    //   }
    // }
    // const res = await this.model.insert(list);
    // console.log(res);

    //demand
    // const place = path.resolve(__dirname, 'C:\\workspace\\cxyy\\demand.json');
    // let list: any = fs.readFileSync(place, 'utf8');
    // if (!list) return;
    // list = JSON.parse(list);
    // list = get(list, 'RECORDS');
    // let id = 1;
    // for (const i of list) {
    //   i.id = id;
    //   if (i.time && i.time !== '') i.time = JSON.parse(get(i, 'time'));
    //   if (i.area && i.area !== '') i.area = JSON.parse(get(i, 'area'));
    //   // if (i.file && i.file !== '') i.file = JSON.parse(get(i, 'file'));
    //   id++;
    //   delete i._id;
    // }
    // for (const i of list) {
    //   for (const key in i) {
    //     const val = i[key];
    //     if (val === '') {
    //       delete i[key];
    //     }
    //   }
    // }
    // const res = await this.model.insert(list);
    // console.log(res);
    // news
    // const place = path.resolve(__dirname, 'C:\\workspace\\cxyy\\news.json');
    // let list: any = fs.readFileSync(place, 'utf8');
    // if (!list) return;
    // list = JSON.parse(list);
    // list = get(list, 'RECORDS');
    // let id = 1;
    // for (const i of list) {
    //   i.id = id;
    //   if (i.logo && i.logo !== '') i.logo = JSON.parse(get(i, 'logo'));
    //   // if (i.rules && i.rules !== '') i.rules = JSON.parse(get(i, 'rules'));
    //   // if (i.file && i.file !== '') i.file = JSON.parse(get(i, 'file'));
    //   id++;
    //   delete i._id;
    // }
    // for (const i of list) {
    //   for (const key in i) {
    //     const val = i[key];
    //     if (val === '') {
    //       delete i[key];
    //     }
    //   }
    // }
    // const res = await this.model.insert(list);
    // console.log(res);

    //dictData
    // const place = path.resolve(__dirname, 'C:\\workspace\\cxyy\\dictData.json');
    // let list: any = fs.readFileSync(place, 'utf8');
    // if (!list) return;
    // list = JSON.parse(list);
    // list = get(list, 'RECORDS');
    // let id = 1;
    // for (const i of list) {
    //   i.id = id;
    //   // if (i.time && i.time !== '') i.time = JSON.parse(get(i, 'time'));
    //   // if (i.rules && i.rules !== '') i.rules = JSON.parse(get(i, 'rules'));
    //   // if (i.file && i.file !== '') i.file = JSON.parse(get(i, 'file'));
    //   id++;
    //   delete i._id;
    // }
    // for (const i of list) {
    //   for (const key in i) {
    //     const val = i[key];
    //     if (val === '') {
    //       delete i[key];
    //     }
    //   }
    // }
    // const res = await this.model.insert(list);
    // console.log(res);

    // dictType
    // const place = path.resolve(__dirname, 'C:\\workspace\\cxyy\\dictType.json');
    // let list: any = fs.readFileSync(place, 'utf8');
    // if (!list) return;
    // list = JSON.parse(list);
    // list = get(list, 'RECORDS');
    // let id = 1;
    // for (const i of list) {
    //   i.id = id;
    //   // if (i.time && i.time !== '') i.time = JSON.parse(get(i, 'time'));
    //   // if (i.rules && i.rules !== '') i.rules = JSON.parse(get(i, 'rules'));
    //   // if (i.file && i.file !== '') i.file = JSON.parse(get(i, 'file'));
    //   id++;
    //   delete i._id;
    // }
    // for (const i of list) {
    //   for (const key in i) {
    //     const val = i[key];
    //     if (val === '') {
    //       delete i[key];
    //     }
    //   }
    // }
    // const res = await this.model.insert(list);
    // console.log(res);
    // match
    // const place = path.resolve(__dirname, 'C:\\workspace\\cxyy\\match.json');
    // let list: any = fs.readFileSync(place, 'utf8');
    // if (!list) return;
    // list = JSON.parse(list);
    // list = get(list, 'RECORDS');
    // let id = 1;
    // for (const i of list) {
    //   i.id = id;
    //   if (i.time && i.time !== '') i.time = JSON.parse(get(i, 'time'));
    //   if (i.rules && i.rules !== '') i.rules = JSON.parse(get(i, 'rules'));
    //   if (i.file && i.file !== '') i.file = JSON.parse(get(i, 'file'));
    //   id++;
    //   delete i._id;
    // }
    // for (const i of list) {
    //   for (const key in i) {
    //     const val = i[key];
    //     if (val === '') {
    //       delete i[key];
    //     }
    //   }
    // }
    // const res = await this.model.insert(list);
    // console.log(res);
    // project
    // const place = path.resolve(__dirname, 'C:\\workspace\\cxyy\\project.json');
    // let list: any = fs.readFileSync(place, 'utf8');
    // if (!list) return;
    // list = JSON.parse(list);
    // list = get(list, 'RECORDS');
    // let id = 1;
    // for (const i of list) {
    //   i.id = id;
    //   if (i.area !== '') i.area = JSON.parse(get(i, 'area'));
    //   id++;
    //   delete i._id;
    // }
    // for (const i of list) {
    //   for (const key in i) {
    //     const val = i[key];
    //     if (val === '') {
    //       delete i[key];
    //     }
    //   }
    // }
    // const res = await this.model.insert(list);
    // console.log(res);
    //role
    // const place = path.resolve(__dirname, 'C:\\workspace\\cxyy\\role.json');
    // let list: any = fs.readFileSync(place, 'utf8');
    // if (!list) return;
    // list = JSON.parse(list);
    // list = get(list, 'RECORDS');
    // let id = 1;
    // for (const i of list) {
    //   i.id = id;
    //   i.menu = JSON.parse(get(i, 'menu'));
    //   id++;
    // }
    // for (const i of list) {
    //   for (const key in i) {
    //     const val = i[key];
    //     if (val === '') {
    //       delete i[key];
    //     }
    //   }
    // }
    // const res = await this.model.insert(list);
    // console.log(res);
    // desing
    // const data = {
    //   zhTitle: '产学研用平台',
    //   zhEnglish: 'Information Technology Incubation Platform',
    //   zhBrief: '方寸心间 创新无限',
    //   logoUrl: [],
    //   videoUrl: [],
    //   footInfo: {
    //     Phone: '0431-81165166',
    //     Email: 'jlpstm@126.com',
    //     Address: '吉林省长春市硅谷西街156号',
    //     Copyright: 'Copyright©2007-2024 吉林省华欣数字科技股份有限公司 │ 吉ICP备14005689号',
    //     Company: '吉林省华欣数字科技股份有限公司',
    //   },
    //   agreement: '<h1 style="text-align: center;">使用协议</h1>',
    //   brief: '<h1 style="text-align: center;"><sup>关于我们</sup></h1>',
    // };
    // const res = await this.model.insert(data);
    // console.log(res);
    // achievement
    // const place = path.resolve(__dirname, 'C:\\workspace\\cxyy\\achievement.json');
    // let list: any = fs.readFileSync(place, 'utf8');
    // if (!list) return;
    // list = JSON.parse(list);
    // list = get(list, 'RECORDS');
    // let id = 1;
    // for (const i of list) {
    //   i.id = id;
    //   i.area = JSON.parse(get(i, 'area'));
    //   i.file = JSON.parse(get(i, 'file'));
    //   id++;
    // }
    // for (const i of list) {
    //   for (const key in i) {
    //     const val = i[key];
    //     if (val === '') {
    //       console.log(key);
    //       delete i[key];
    //     }
    //   }
    // }
    // // console.log(list);
    // const res = await this.model.insert(list);
    // console.log(res);
  }
}
